
From: Egry Gabor <gaboregry@t-online.hu>

The gettext doesn't handle the {CONFIG}:00000 markers as sources.  I added a
simple comment prefix for them.

Signed-off-by: Egry Gabor <gaboregry@t-online.hu>
Cc: Arnaldo Carvalho de Melo <acme@conectiva.com.br>
Cc: Roman Zippel <zippel@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 scripts/kconfig/kxgettext.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN scripts/kconfig/kxgettext.c~kconfig-kxgettext-message-fix scripts/kconfig/kxgettext.c
--- 25/scripts/kconfig/kxgettext.c~kconfig-kxgettext-message-fix	Mon Jul 11 15:25:37 2005
+++ 25-akpm/scripts/kconfig/kxgettext.c	Mon Jul 11 15:25:37 2005
@@ -179,7 +179,11 @@ static void message__print_file_lineno(s
 {
 	struct file_line *fl = self->files;
 
-	printf("\n#: %s:%d", fl->file, fl->lineno);
+	putchar('\n');
+	if (self->option != NULL)
+		printf("# %s:00000\n", self->option);
+
+	printf("#: %s:%d", fl->file, fl->lineno);
 	fl = fl->next;
 
 	while (fl != NULL) {
@@ -187,9 +191,6 @@ static void message__print_file_lineno(s
 		fl = fl->next;
 	}
 
-	if (self->option != NULL)
-		printf(", %s:00000", self->option);
-
 	putchar('\n');
 }
 
_
